#!/usr/bin/python
# -*- coding: utf-8 -*-

from distutils.core import setup
import glob, gettext

gettext_lang = gettext.NullTranslations()
gettext_lang.install()
from src.Values import VERSION

setup(name = "pyromaths",
    version = VERSION,
    description = u"Creador de fichas de ejercicios de matemáticas en formato " \
            + "LaTeX y PDF.",
    license = "GPL",
    author = u"Jérôme Ortais",
    author_email = u"jerome.ortais@pyromaths.org",
    url = "http://www.pyromaths.org",
    package_dir={'pyromaths': 'src'},
    packages=['pyromaths', 'pyromaths.troisiemes', 'pyromaths.quatriemes',
        'pyromaths.cinquiemes', 'pyromaths.sixiemes', 'pyromaths.lycee',
        'pyromaths.outils', 'pyromaths.classes'],
    data_files=[
        ('share/pixmaps/', [ 'data/images/pyromaths.png' ] ),
        ('share/pyromaths/images', [ 'data/images/pyromaths-banniere.png',
            'data/images/whatsthis.png' ]
        ),
        ('share/applications', ['data/linux/pyromaths.desktop']),
        ('share/man/man1', ['data/linux/pyromaths.1']),
        (r'share/pyromaths/images/vignettes_fr',
            glob.glob(r'data/images/vignettes_fr/*.png')),
        (r'share/pyromaths/images/vignettes_es',
            glob.glob(r'data/images/vignettes_es/*.png')),
        (r'share/pyromaths/templates', glob.glob(r'data/templates/*.tex')),
        (r'share/pyromaths/packages', glob.glob(r'data/packages/*')),
        ('share/pyromaths/locale/es/LC_MESSAGES', ['data/locale/es/LC_MESSAGES/pyromaths.mo']),
        ('share/pyromaths/locale/ca_ES@valencian/LC_MESSAGES', ['data/locale/ca_ES@valencian/LC_MESSAGES/pyromaths.mo'])
        ],
    scripts = ["pyromaths"],
    platforms = ['unix'],
    long_description = u"""Pyromaths es un programa que permite crear fichas
    de ejercicios del tipo matemático de nivel escolar con su correción. Es una
    creador automático de fichas. Al contrario de otros muchos proyectos,
    Pyromaths tiene por objetivo proponer una corrección completa
    y detallada de los ejercicios propuestos y no sólo su solución.

    Se puede, por ejemplo, crear los deberes para casa de los alumnos
    junto a su corrección. Puede servir también a las familias para
    que un alumno pueda trabajar los ejercicos y luego ver la comprobación."""
    )
